package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.RoomServe;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 服务Mapper接口
 * 
 * @author chen
 * @date 2024-02-25
 */
@Mapper
public interface RoomServeMapper extends BaseMapper<RoomServe> {
    /**
     * 查询服务
     * 
     * @param id 服务ID
     * @return 服务
     */
    RoomServe selectRoomServeById(Long id);

    /**
     * 查询服务列表
     * 
     * @param roomServe 服务
     * @return 服务集合
     */
    List<RoomServe> selectRoomServeList(RoomServe roomServe);

    /**
     * 新增服务
     * 
     * @param roomServe 服务
     * @return 结果
     */
    int insertRoomServe(RoomServe roomServe);

    /**
     * 修改服务
     * 
     * @param roomServe 服务
     * @return 结果
     */
    int updateRoomServe(RoomServe roomServe);

    /**
     * 删除服务
     * 
     * @param id 服务ID
     * @return 结果
     */
    int deleteRoomServeById(Long id);

    /**
     * 批量删除服务
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomServeByIds(String[] ids);
}
